← OBPv7.0.0 Delete certification_body by id DELETE /obp/v7.0.0/banks/ogcr/dynamic-entities/certification_body/CERTIFICATION_BODY_ID OBPv7.0.0-dynamicEntity_deletecertification_body_ogcr Roles: CanDeleteDynamicEntityRecord_certification_body(per bank) _Certification_body(ogcr)Dynamic-EntityDynamic Delete certification_body by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"certification_body" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "certification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8", "legal_name": "DNV Business Assurance Germany GmbH", "accreditation_route": "string", "address_line_1": "Brooktorkai 18", "address_line_2": "5th Floor", "address_city": "Hamburg", "address_postcode": "20457", "country_id": "DE", "status": "string", "email": "string", "website": "string", "logo": "https://cdn.example.org/logos/dnv.png" } Example success response { "bank_id": "ogcr", "certification_body": { "certification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8", "legal_name": "DNV Business Assurance Germany GmbH", "accreditation_route": "string", "address_line_1": "Brooktorkai 18", "address_line_2": "5th Floor", "address_city": "Hamburg", "address_postcode": "20457", "country_id": "DE", "status": "string", "email": "string", "website": "string", "logo": "https://cdn.example.org/logos/dnv.png" }, "metadata": { "created": { "at": "2026-09-30T10:12:00Z", "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "updated": { "at": "2026-09-30T11:40:00Z", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" } } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.